using KwaiAds.Scripts.Api.Interstitial;
using UnityEngine;

public class InterstitialAdListener : IInterstitialAdListener
{
    public void OnAdClick()
    {
        // 插页广告调整转换页 ｜ Interstitial ad agjust conversion page 
    }

    public void OnAdClose()
    {
        // 插页广告关闭 | Interstitial ad close 
    }

    public void OnAdPlayComplete()
    {
        // 插页视频播放完成 | Interstitial video play complete 
        KwaiAdsManager.OnInterstitialCallback();
    }

    public void OnAdShow()
    {
        // 插页视频曝光 | Interstitial video show 
    }

    public void OnAdShowFailed(int code, string msg)
    {
        Debug.LogError($"RewardAdListener#OnAdShowFailed , code:{code}, msg:{msg}");
    }
}